summaryrefslogtreecommitdiffabout
path: root/debian/iii.postinst
Side-by-side diff
Diffstat (limited to 'debian/iii.postinst') (more/less context) (ignore whitespace changes)
-rwxr-xr-xdebian/iii.postinst18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/iii.postinst b/debian/iii.postinst
new file mode 100755
index 0000000..20463a1
--- a/dev/null
+++ b/debian/iii.postinst
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+UG=eyefi
+P=eyekindo
+H=/var/lib/$P
+
+if [ "$1" = configure ] ; then
+ getent group $UG >/dev/null 2>&1 || addgroup --system $UG
+ getent passwd $UG >/dev/null 2>&1 || adduser --system --home $H \
+ --no-create-home --disabled-password --ingroup $UG $UG
+ if ! test -d $H ; then
+ mkdir -p $H
+ chown $UG:$UG $H
+ chmod 2770 $H
+ fi
+fi
+
+#DEBHELPER#